#include "core/math/Math.hpp"

#include <math.h>

float Core::Math::sin(float f) {
    return sinf(f);
}

float Core::Math::cos(float f) {
    return cosf(f);
}

float Core::Math::tan(float f) {
    return tanf(f);
}

void Core::Math::sinCos(float a, float& s, float& c) {
#ifdef _GNU_SOURCE
    sincosf(a, &s, &c);
#else
    s = sinf(a);
    c = cosf(a);
#endif
}

float Core::Math::squareRoot(float f) {
    return sqrtf(f);
}
